#ifndef SWIM_PHYSICS_HPP_
#define SWIM_PHYSICS_HPP_

#include <MovementPhysics/MovementPhysics.hpp>
#include <Fluid/Fluid.hpp>

/**
 * @brief Swimming movement physics.
 */
class SwimPhysics : public MovementPhysics
{
private:
    Fluid &m_fluid;
    
public:
    SwimPhysics(Fluid &fluid);

    virtual void updatePlayer(Player &player) override;

    virtual float getFriction() override;
    virtual float getGravity() override;
};

#endif